
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Summary: A utility for getting files from remote servers (FTP, HTTP, and others)
Name: curl 
Version: 7.54.0
%if %{p7build}
Release: 1.p7
%else
Release: 1
%endif
License: MIT
Group: Applications/Internet
Source0: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Source1: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2.asc
Source2: curlbuild.h
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%if %{p7build}
BuildRequires: openssl-devel >= 1.0.2k-1.p7
%else
BuildRequires: openssl-devel >= 1.0.2k-1
%endif
BuildRequires: libidn-devel >= 1.33-1
BuildRequires: pkg-config
BuildRequires: libssh2-devel >= 1.8.0-1
BuildRequires: zlib-devel >= 1.2.3-7

%if %{p7build}
Requires:      openssl >= 1.0.2k-1.p7
%else
Requires:      openssl >= 1.0.2k-1
%endif
Requires:      libidn >= 1.33-1
Requires:      pkg-config
Requires:      libssh2 >= 1.8.0-1
Requires:      zlib >= 1.2.3-7

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Files needed for building applications with libcurl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%if %{p7build}
Requires: openssl-devel >= 1.0.2k-1.p7
%else
Requires: openssl-devel >= 1.0.2k-1
%endif
Requires: libidn-devel >= 1.33-1
Requires: pkg-config
Requires: libssh2-devel >= 1.8.0-1
Requires: zlib-devel >= 1.2.3-7

%description devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The curl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc_r -q64" or "gcc -maix64".


%prep
%setup -q 


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export RM="/usr/bin/rm -f"

# first build the 64-bit version
export OBJECT_MODE=64
export CC="xlc_r -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp lib/.libs/libcurl.so.4 .
cp include/curl/curlbuild.h curlbuild-ppc64.h
make clean


# now build the 32-bit version
export OBJECT_MODE=32
export CC="xlc_r"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q lib/.libs/libcurl.a ./libcurl.so.4


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mv ${RPM_BUILD_ROOT}%{_includedir}/curl/curlbuild.h ${RPM_BUILD_ROOT}%{_includedir}/curl/curlbuild-ppc32.h 
mv curlbuild-ppc64.h ${RPM_BUILD_ROOT}%{_includedir}/curl
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_includedir}/curl/curlbuild.h

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES README* COPYING
%doc docs/BUGS docs/FAQ docs/FEATURES
%doc docs/MANUAL docs/RESOURCES
%doc docs/TheArtOfHttpScripting docs/TODO
%{_bindir}/curl
%{_libdir}/*.a
%{_mandir}/man1/curl.1
/usr/bin/curl
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc docs/examples/*.c docs/examples/Makefile.example
%{_bindir}/curl-config*
%{_includedir}/%{name}
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1
%{_mandir}/man3/*
%{_datadir}/aclocal/libcurl.m4
/usr/bin/curl-config*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Apr 24 2017 Michael Perzl <michael@perzl.org> - 7.54.0-1
- updated to version 7.54.0

* Mon Feb 27 2017 Michael Perzl <michael@perzl.org> - 7.53.1-1
- updated to version 7.53.1

* Thu Feb 23 2017 Michael Perzl <michael@perzl.org> - 7.53.0-1
- updated to version 7.53.0

* Mon Jan 02 2017 Michael Perzl <michael@perzl.org> - 7.52.1-1
- updated to version 7.52.1

* Mon Jan 02 2017 Michael Perzl <michael@perzl.org> - 7.52.0-1
- updated to version 7.52.0

* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 7.51.0-1
- updated to version 7.51.0

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 7.50.3-1
- updated to version 7.50.3

* Tue Sep 13 2016 Michael Perzl <michael@perzl.org> - 7.50.2-1
- updated to version 7.50.2

* Thu Aug 25 2016 Michael Perzl <michael@perzl.org> - 7.50.1-1
- updated to version 7.50.1

* Thu Aug 25 2016 Michael Perzl <michael@perzl.org> - 7.50.0-1
- updated to version 7.50.0

* Mon May 30 2016 Michael Perzl <michael@perzl.org> - 7.49.1-1
- updated to version 7.49.1

* Mon May 23 2016 Michael Perzl <michael@perzl.org> - 7.49.0-1
- updated to version 7.49.0

* Mon May 23 2016 Michael Perzl <michael@perzl.org> - 7.48.0-1
- updated to version 7.48.0

* Mon Mar 07 2016 Michael Perzl <michael@perzl.org> - 7.47.1-1
- updated to version 7.47.1

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 7.47.0-2
- recompiled against latest versions

* Thu Feb 04 2016 Michael Perzl <michael@perzl.org> - 7.47.0-1
- updated to version 7.47.0

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 7.46.0-1
- updated to version 7.46.0

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 7.45.0-1
- updated to version 7.45.0

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 7.44.0-1
- updated to version 7.44.0

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 7.43.0-1
- updated to version 7.43.0

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 7.42.0-1
- updated to version 7.42.0

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 7.41.0-1
- updated to version 7.41.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.40.0-1
- updated to version 7.40.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.39.0-1
- updated to version 7.39.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.38.0-1
- updated to version 7.38.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.37.0-1
- updated to version 7.37.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.36.0-1
- updated to version 7.36.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.35.0-1
- updated to version 7.35.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.34.0-1
- updated to version 7.34.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.33.0-1
- updated to version 7.33.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.32.0-1
- updated to version 7.32.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.31.0-1
- updated to version 7.31.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.30.0-1
- updated to version 7.30.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.29.0-1
- updated to version 7.29.0

* Tue Feb 03 2015 Michael Perzl <michael@perzl.org> - 7.28.1-1
- updated to version 7.28.1

* Thu Jan 29 2015 Michael Perzl <michael@perzl.org> - 7.28.0-1
- updated to version 7.28.0

* Tue Aug 29 2012 Michael Perzl <michael@perzl.org> - 7.27.0-1
- updated to version 7.27.0

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 7.26.0-2
- rebuilt against correct version of openssl

* Mon Jun 04 2012 Michael Perzl <michael@perzl.org> - 7.26.0-2
- rebuilt against correct version of openssl

* Tue May 29 2012 Michael Perzl <michael@perzl.org> - 7.26.0-1
- updated to version 7.26.0

* Tue Mar 27 2012 Michael Perzl <michael@perzl.org> - 7.25.0-1
- updated to version 7.25.0

* Wed Feb 08 2012 Michael Perzl <michael@perzl.org> - 7.24.0-2
- fixed compile against wrong openssl version

* Fri Jan 27 2012 Michael Perzl <michael@perzl.org> - 7.24.0-1
- updated to version 7.24.0

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 7.23.1-1
- updated to version 7.23.1

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 7.22.0-1
- updated to version 7.22.0

* Tue Nov 22 2011 Michael Perzl <michael@perzl.org> - 7.21.7-1
- updated to version 7.21.7

* Tue Dec 21 2010 Michael Perzl <michael@perzl.org> - 7.21.3-1
- updated to version 7.21.3

* Wed Oct 13 2010 Michael Perzl <michael@perzl.org> - 7.21.2-1
- updated to version 7.21.2

* Thu Aug 12 2010 Michael Perzl <michael@perzl.org> - 7.21.1-1
- updated to version 7.21.1

* Wed Jun 16 2010 Michael Perzl <michael@perzl.org> - 7.21.0-1
- updated to version 7.21.0

* Fri Apr 16 2010 Michael Perzl <michael@perzl.org> - 7.20.1-1
- updated to version 7.20.1

* Thu Feb 11 2010 Michael Perzl <michael@perzl.org> - 7.20.0-1
- updated to version 7.20.0

* Thu Nov 05 2009 Michael Perzl <michael@perzl.org> - 7.19.7-1
- updated to version 7.19.7

* Mon Sep 21 2009 Michael Perzl <michael@perzl.org> - 7.19.6-2
- fixed a 64-bit header file issue

* Mon Aug 17 2009 Michael Perzl <michael@perzl.org> - 7.19.6-1
- updated to version 7.19.6

* Tue Jun 16 2009 Michael Perzl <michael@perzl.org> - 7.19.5-1
- updated to version 7.19.5

* Fri Mar 20 2009 Michael Perzl <michael@perzl.org> - 7.19.4-1
- updated to version 7.19.4

* Tue Jan 20 2009 Michael Perzl <michael@perzl.org> - 7.19.3-1
- updated to version 7.19.3

* Fri Nov 14 2008 Michael Perzl <michael@perzl.org> - 7.19.2-1
- updated to version 7.19.2

* Thu Nov 06 2008 Michael Perzl <michael@perzl.org> - 7.19.1-1
- updated to version 7.19.1

* Tue Sep 02 2008 Michael Perzl <michael@perzl.org> - 7.19.0-1
- updated to version 7.19.0

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 7.18.2-1
- updated to version 7.18.2 and built against new OpenSSL

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 7.18.1-1
- updated to version 7.18.1

* Tue Feb 19 2008 Michael Perzl <michael@perzl.org> - 7.18.0-1
- updated to version 7.18.0

* Fri Dec 28 2007 Michael Perzl <michael@perzl.org> - 7.17.1-1
- first version for AIX V5.1 and higher
